<?php
/**
 * 用户管理
 * $Id: user_edit_result.php,v 1.1 2016-9-22 09:58:31 cuixl Exp $
 * @author cuixl
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$user_id = ParamUtil::getRequestString("id");

$user_mst = UserMst::getById($user_id);


//用户当前持有的代金券
$param = array();
$param["user_id"] = $user_id;
$param["delete_flg"] = false;
$user_coupon_list = UserCouponDat::getList($param, "dead_time", "asc");

// 页面表示
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/user_list.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_user";
$layout_pages["middle"] = "user_send_coupon_result.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;